Subject: [PATCH 0/6] iptables: eliminate read/write lock (v0.4)

From: Stephen Hemminger <[email-masked]>
Date: Fri, 30 Jan 2009 13:57:00 -0800

More of Eric's suggestions, handle the case of aggregation of
counters correctly.  Unfortunately, can't easily make xt_add_counter
inline because DEFINE_PER_CPU doesn't seem to export to modules correctly.

--